package com.phirea.less;

import java.io.File;
import java.io.IOException;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

import com.asual.lesscss.LessEngine;
import com.asual.lesscss.LessException;

public class LessEngineTask extends Task {
	private String input;
	private String output;
	
	public String getInput() {
		return input;
	}



	public void setInput(String input) {
		this.input = input;
	}



	public String getOutput() {
		return output;
	}



	public void setOutput(String output) {
		this.output = output;
	}



	@Override
	public void execute() throws BuildException {
		super.execute();
		
		LessEngine lessEngine = new LessEngine();
		
		try {
			lessEngine.compile(new File(input), new File(output));
		} catch (LessException e) {
			e.printStackTrace();
			throw new BuildException(e.getMessage(), e);
		} catch (IOException e) {
			e.printStackTrace();
			throw new BuildException(e.getMessage(), e);
		}
		
	}

	
}
